List recovery actions
curl --request GET \
--url https://api.slickerhq.com/v1/recovery_actions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.slickerhq.com/v1/recovery_actions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.slickerhq.com/v1/recovery_actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.slickerhq.com/v1/recovery_actions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.slickerhq.com/v1/recovery_actions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.slickerhq.com/v1/recovery_actions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.slickerhq.com/v1/recovery_actions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"recoveryActions": [
{
"id": "ract_1NvzFX2eZvKYlo2CaVKfbuKN",
"subscriptionId": "sub_1NvzFX2eZvKYlo2CaVKfbuKN",
"invoiceId": "in_1NvzFX2eZvKYlo2CaVKfbuKN",
"customerId": "cus_1NvzFX2eZvKYlo2CaVKfbuKN",
"transactionId": "txn_1NvzFX2eZvKYlo2CaVKfbuKN",
"paymentMethodType": "card",
"cardCountry": "US",
"currency": "USD",
"type": "RECOVERY_ACTION_TYPE_RETRY",
"status": "RECOVERY_ACTION_STATUS_SUCCEEDED",
"integrationType": "INTEGRATION_TYPE_STRIPE",
"createdAt": "2024-01-15T10:30:00Z",
"executedAt": "2024-01-15T10:35:00Z",
"scheduledAt": "2024-01-18T14:30:00Z",
"updatedAt": "2024-01-15T10:35:00Z"
}
],
"nextPageToken": "50",
"totalSize": 150
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}API Reference
List recovery actions
GET
/
recovery_actions
List recovery actions
curl --request GET \
--url https://api.slickerhq.com/v1/recovery_actions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.slickerhq.com/v1/recovery_actions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.slickerhq.com/v1/recovery_actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.slickerhq.com/v1/recovery_actions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.slickerhq.com/v1/recovery_actions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.slickerhq.com/v1/recovery_actions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.slickerhq.com/v1/recovery_actions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"recoveryActions": [
{
"id": "ract_1NvzFX2eZvKYlo2CaVKfbuKN",
"subscriptionId": "sub_1NvzFX2eZvKYlo2CaVKfbuKN",
"invoiceId": "in_1NvzFX2eZvKYlo2CaVKfbuKN",
"customerId": "cus_1NvzFX2eZvKYlo2CaVKfbuKN",
"transactionId": "txn_1NvzFX2eZvKYlo2CaVKfbuKN",
"paymentMethodType": "card",
"cardCountry": "US",
"currency": "USD",
"type": "RECOVERY_ACTION_TYPE_RETRY",
"status": "RECOVERY_ACTION_STATUS_SUCCEEDED",
"integrationType": "INTEGRATION_TYPE_STRIPE",
"createdAt": "2024-01-15T10:30:00Z",
"executedAt": "2024-01-15T10:35:00Z",
"scheduledAt": "2024-01-18T14:30:00Z",
"updatedAt": "2024-01-15T10:35:00Z"
}
],
"nextPageToken": "50",
"totalSize": 150
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
API key authentication using a Bearer token in the Authorization header.
You can find and manage your API keys at https://auth.slickerhq.com/org/api_keys.
Example: Authorization: Bearer YOUR_API_KEY
Query Parameters
Filter recovery actions by status. If omitted, pending, succeeded, and failed actions are returned. Scheduled actions must be requested explicitly and represent a provisional snapshot that may change.
Available options:
RECOVERY_ACTION_STATUS_PENDING, RECOVERY_ACTION_STATUS_SUCCEEDED, RECOVERY_ACTION_STATUS_FAILED, RECOVERY_ACTION_STATUS_SCHEDULED